
reinitialize
bg_color white

# Loren Williams, Georgia Tech
#-----------------------------------------------------------------------------
## Header: General Commands ##

# delete all objects and reset pymol
reinitialize
# set the background color to white
bg_color white
# make the background transparent for ray trace 
set ray_opaque_background, 0
# set the ray trace mode
# normal color
set ray_trace_mode, 0
# normal color + black outline
#set ray_trace_mode,  1
# black outline only
#set ray_trace_mode,  2
# turn off shadows during ray trace
set ray_shadows, 0
# set the mouse mode for laptop.
config_mouse one_button
# get rid of double bonds and skinny bonds to H
set stick_h_scale, 1
set valence, 0
# high quality surfaces
set surface_quality, 3

## End of Header: General Commands ##
#----------------------------------------



load files/porin_2por.pdb

hide everything
show cartoon

color red, ss h
color blue, ss s
color green, ss l+''

create glycine, resn gly
create proline, resn pro

hide everything, proline or glycine
show sticks, proline or glycine

color wheat, name C* and (proline or glycine)
color blue, name N* and (proline or glycine)
color red, name O* and (proline or glycine)

create beta_turn_1, resi 157-162
create beta_turn_2, resi 191-196
create beta_turn_3, resi 239-244
create beta_turn_4, resi 270-276

create b_strand, resi 18-35

hide everything, beta_turn_* 
show stick, beta_turn_* 
# color atoms by type
color wheat, name C* and (beta_turn_*)
color red, name O* and (beta_turn_*)
color blue, name N* and (beta_turn_*)
color yellow, name S* and (beta_turn_*)


h_add beta_turn_* and name N
alter (name H0*),name='H'

dist hbond_NH_O, (name H and beta_turn_*), (name O and beta_turn_*), 2.2 

color black, hbonds
set label_color, black, hbond_NH_O
set dash_width, 5, hbond_NH_O
set dash_gap, 0.2, hbond_NH_O

remove b_strand and not (name N+O+CA+C+H02) 
color red, name O and b_strand
color wheat, name C* and b_strand
hide everything, b_strand
show sticks, b_strand


disable all
enable porin_2por

set_view (\
     0.213424101,   -0.971195281,    0.106036887,\
    -0.966170609,   -0.225911126,   -0.124464042,\
     0.144832209,   -0.075887293,   -0.986546397,\
     0.000266936,   -0.000007123, -161.175064087,\
     2.607724428,  -19.993373871,   26.228986740,\
   119.067878723,  203.276336670,    0.000000000 )
